OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
subsidy_sl.cpp File Reference

Code handling saving and loading of subsidies. More...

`#include "../stdafx.h"`
`#include "../subsidy_base.h"`
`#include "saveload.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static void | Save_SUBS ()
static void | Load_SUBS ()

## Variables
static const SaveLoad | _subsidies_desc []
const ChunkHandler | _subsidy_chunk_handlers []

## Detailed Description

Code handling saving and loading of subsidies.

Definition in file subsidy_sl.cpp.

## Variable Documentation

const SaveLoad _subsidies_desc[]
| static

Initial value:
{
SLE_VAR(Subsidy, cargo_type, SLE_UINT8),
SLE_VAR(Subsidy, remaining, SLE_UINT8),
SLE_CONDVAR(Subsidy, awarded, SLE_UINT8, 125, SL_MAX_VERSION),
SLE_CONDVAR(Subsidy, src_type, SLE_UINT8, 125, SL_MAX_VERSION),
SLE_CONDVAR(Subsidy, dst_type, SLE_UINT8, 125, SL_MAX_VERSION),
SLE_CONDVAR(Subsidy, src, SLE_FILE_U8 | SLE_VAR_U16, 0, 4),
SLE_CONDVAR(Subsidy, src, SLE_UINT16, 5, SL_MAX_VERSION),
SLE_CONDVAR(Subsidy, dst, SLE_FILE_U8 | SLE_VAR_U16, 0, 4),
SLE_CONDVAR(Subsidy, dst, SLE_UINT16, 5, SL_MAX_VERSION),
}

Definition at line 19 of file subsidy_sl.cpp.

const ChunkHandler _subsidy_chunk_handlers[]

Initial value:
{
{ 'SUBS', Save_SUBS, Load_SUBS, NULL, NULL, CH_ARRAY | CH_LAST},
}